%define  upstream_name PHPUnit
%define _requires_exceptions pear(TestConfiguration.php)
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	3.6.11
Release:	%mkrel 2
Summary:	Regression testing framework for unit tests
License:	PHP License
Group:		Development/PHP
URL:		http://www.phpunit.de/
Source0:	http://pear.phpunit.de/get/PHPUnit-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear >= 1.9.4
Requires:	php-channel-phpunit
Requires:	php-pear-File_Iterator >= 1.3.0
Requires:	php-pear-Text_Template >= 1.1.1
Requires:	php-pear-PHP_CodeCoverage >= 1.1.0
Requires:	php-pear-PHP_Timer >= 1.0.1
Requires:	php-pear-PHPUnit_MockObject >= 1.1.0
Requires:	php-symfony-YAML >= 1.0.2
BuildArch:	noarch
BuildRequires:	php-pear >= 1.9.4
BuildRequires:	php-channel-phpunit
Obsoletes:	php-pear-PHPUnit2

%description
PHPUnit is a regression testing framework used by the developer who
implements unit tests in PHP. This is the version to be used with PHP 5.

%prep
%setup -q -c 
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%build

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)

%{_bindir}/phpunit
%{peardir}/PHPUnit/Autoload.php
%{peardir}/PHPUnit/Extensions/GroupTestSuite.php
%{peardir}/PHPUnit/Extensions/OutputTestCase.php
%{peardir}/PHPUnit/Extensions/PhptTestCase.php
%{peardir}/PHPUnit/Extensions/PhptTestCase/Logger.php
%{peardir}/PHPUnit/Extensions/PhptTestSuite.php
%{peardir}/PHPUnit/Extensions/RepeatedTest.php
%{peardir}/PHPUnit/Extensions/TestDecorator.php
%{peardir}/PHPUnit/Extensions/TicketListener.php
%{peardir}/PHPUnit/Framework/Assert.php
%{peardir}/PHPUnit/Framework/Assert/Functions.php
%{peardir}/PHPUnit/Framework/AssertionFailedError.php
%{peardir}/PHPUnit/Framework/Comparator.php
%{peardir}/PHPUnit/Framework/Comparator/Array.php
%{peardir}/PHPUnit/Framework/Comparator/DOMDocument.php
%{peardir}/PHPUnit/Framework/Comparator/Double.php
%{peardir}/PHPUnit/Framework/Comparator/Exception.php
%{peardir}/PHPUnit/Framework/Comparator/MockObject.php
%{peardir}/PHPUnit/Framework/Comparator/Numeric.php
%{peardir}/PHPUnit/Framework/Comparator/Object.php
%{peardir}/PHPUnit/Framework/Comparator/Resource.php
%{peardir}/PHPUnit/Framework/Comparator/Scalar.php
%{peardir}/PHPUnit/Framework/Comparator/SplObjectStorage.php
%{peardir}/PHPUnit/Framework/Comparator/Type.php
%{peardir}/PHPUnit/Framework/ComparatorFactory.php
%{peardir}/PHPUnit/Framework/ComparisonFailure.php
%{peardir}/PHPUnit/Framework/Constraint.php
%{peardir}/PHPUnit/Framework/Constraint/And.php
%{peardir}/PHPUnit/Framework/Constraint/ArrayHasKey.php
%{peardir}/PHPUnit/Framework/Constraint/Attribute.php
%{peardir}/PHPUnit/Framework/Constraint/ClassHasAttribute.php
%{peardir}/PHPUnit/Framework/Constraint/ClassHasStaticAttribute.php
%{peardir}/PHPUnit/Framework/Constraint/Composite.php
%{peardir}/PHPUnit/Framework/Constraint/Count.php
%{peardir}/PHPUnit/Framework/Constraint/Exception.php
%{peardir}/PHPUnit/Framework/Constraint/ExceptionCode.php
%{peardir}/PHPUnit/Framework/Constraint/ExceptionMessage.php
%{peardir}/PHPUnit/Framework/Constraint/FileExists.php
%{peardir}/PHPUnit/Framework/Constraint/GreaterThan.php
%{peardir}/PHPUnit/Framework/Constraint/IsAnything.php
%{peardir}/PHPUnit/Framework/Constraint/IsEmpty.php
%{peardir}/PHPUnit/Framework/Constraint/IsEqual.php
%{peardir}/PHPUnit/Framework/Constraint/IsFalse.php
%{peardir}/PHPUnit/Framework/Constraint/IsIdentical.php
%{peardir}/PHPUnit/Framework/Constraint/IsInstanceOf.php
%{peardir}/PHPUnit/Framework/Constraint/IsNull.php
%{peardir}/PHPUnit/Framework/Constraint/IsTrue.php
%{peardir}/PHPUnit/Framework/Constraint/IsType.php
%{peardir}/PHPUnit/Framework/Constraint/LessThan.php
%{peardir}/PHPUnit/Framework/Constraint/Not.php
%{peardir}/PHPUnit/Framework/Constraint/ObjectHasAttribute.php
%{peardir}/PHPUnit/Framework/Constraint/Or.php
%{peardir}/PHPUnit/Framework/Constraint/PCREMatch.php
%{peardir}/PHPUnit/Framework/Constraint/SameSize.php
%{peardir}/PHPUnit/Framework/Constraint/StringContains.php
%{peardir}/PHPUnit/Framework/Constraint/StringEndsWith.php
%{peardir}/PHPUnit/Framework/Constraint/StringMatches.php
%{peardir}/PHPUnit/Framework/Constraint/StringStartsWith.php
%{peardir}/PHPUnit/Framework/Constraint/TraversableContains.php
%{peardir}/PHPUnit/Framework/Constraint/TraversableContainsOnly.php
%{peardir}/PHPUnit/Framework/Constraint/Xor.php
%{peardir}/PHPUnit/Framework/Error.php
%{peardir}/PHPUnit/Framework/Error/Deprecated.php
%{peardir}/PHPUnit/Framework/Error/Notice.php
%{peardir}/PHPUnit/Framework/Error/Warning.php
%{peardir}/PHPUnit/Framework/Exception.php
%{peardir}/PHPUnit/Framework/ExpectationFailedException.php
%{peardir}/PHPUnit/Framework/IncompleteTest.php
%{peardir}/PHPUnit/Framework/IncompleteTestError.php
%{peardir}/PHPUnit/Framework/OutputError.php
%{peardir}/PHPUnit/Framework/Process/TestCaseMethod.tpl.dist
%{peardir}/PHPUnit/Framework/SelfDescribing.php
%{peardir}/PHPUnit/Framework/SkippedTest.php
%{peardir}/PHPUnit/Framework/SkippedTestError.php
%{peardir}/PHPUnit/Framework/SkippedTestSuiteError.php
%{peardir}/PHPUnit/Framework/SyntheticError.php
%{peardir}/PHPUnit/Framework/Test.php
%{peardir}/PHPUnit/Framework/TestCase.php
%{peardir}/PHPUnit/Framework/TestFailure.php
%{peardir}/PHPUnit/Framework/TestListener.php
%{peardir}/PHPUnit/Framework/TestResult.php
%{peardir}/PHPUnit/Framework/TestSuite.php
%{peardir}/PHPUnit/Framework/TestSuite/DataProvider.php
%{peardir}/PHPUnit/Framework/Warning.php
%{peardir}/PHPUnit/Runner/BaseTestRunner.php
%{peardir}/PHPUnit/Runner/StandardTestSuiteLoader.php
%{peardir}/PHPUnit/Runner/TestSuiteLoader.php
%{peardir}/PHPUnit/Runner/Version.php
%{peardir}/PHPUnit/TextUI/Command.php
%{peardir}/PHPUnit/TextUI/ResultPrinter.php
%{peardir}/PHPUnit/TextUI/TestRunner.php
%{peardir}/PHPUnit/Util/Class.php
%{peardir}/PHPUnit/Util/Configuration.php
%{peardir}/PHPUnit/Util/DeprecatedFeature.php
%{peardir}/PHPUnit/Util/DeprecatedFeature/Logger.php
%{peardir}/PHPUnit/Util/Diff.php
%{peardir}/PHPUnit/Util/ErrorHandler.php
%{peardir}/PHPUnit/Util/File.php
%{peardir}/PHPUnit/Util/Fileloader.php
%{peardir}/PHPUnit/Util/Filesystem.php
%{peardir}/PHPUnit/Util/Filter.php
%{peardir}/PHPUnit/Util/Getopt.php
%{peardir}/PHPUnit/Util/GlobalState.php
%{peardir}/PHPUnit/Util/InvalidArgumentHelper.php
%{peardir}/PHPUnit/Util/Log/JSON.php
%{peardir}/PHPUnit/Util/Log/JUnit.php
%{peardir}/PHPUnit/Util/Log/TAP.php
%{peardir}/PHPUnit/Util/PHP.php
%{peardir}/PHPUnit/Util/PHP/Default.php
%{peardir}/PHPUnit/Util/PHP/Windows.php
%{peardir}/PHPUnit/Util/Printer.php
%{peardir}/PHPUnit/Util/Skeleton.php
%{peardir}/PHPUnit/Util/Skeleton/Class.php
%{peardir}/PHPUnit/Util/Skeleton/Template/Class.tpl.dist
%{peardir}/PHPUnit/Util/Skeleton/Template/IncompleteTestMethod.tpl.dist
%{peardir}/PHPUnit/Util/Skeleton/Template/Method.tpl.dist
%{peardir}/PHPUnit/Util/Skeleton/Template/TestClass.tpl.dist
%{peardir}/PHPUnit/Util/Skeleton/Template/TestMethod.tpl.dist
%{peardir}/PHPUnit/Util/Skeleton/Template/TestMethodBool.tpl.dist
%{peardir}/PHPUnit/Util/Skeleton/Template/TestMethodBoolStatic.tpl.dist
%{peardir}/PHPUnit/Util/Skeleton/Template/TestMethodException.tpl.dist
%{peardir}/PHPUnit/Util/Skeleton/Template/TestMethodExceptionStatic.tpl.dist
%{peardir}/PHPUnit/Util/Skeleton/Template/TestMethodStatic.tpl.dist
%{peardir}/PHPUnit/Util/Skeleton/Test.php
%{peardir}/PHPUnit/Util/String.php
%{peardir}/PHPUnit/Util/Test.php
%{peardir}/PHPUnit/Util/TestDox/NamePrettifier.php
%{peardir}/PHPUnit/Util/TestDox/ResultPrinter.php
%{peardir}/PHPUnit/Util/TestDox/ResultPrinter/HTML.php
%{peardir}/PHPUnit/Util/TestDox/ResultPrinter/Text.php
%{peardir}/PHPUnit/Util/TestSuiteIterator.php
%{peardir}/PHPUnit/Util/Type.php
%{peardir}/PHPUnit/Util/XML.php
%{peardir}/packages/PHPUnit.xml




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 3.6.11-2.mga3
+ Revision: 377134
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 3.6.11-1.mga3
+ Revision: 275690
- upgrade to 3.5.11

* Fri Feb 10 2012 spuhler <spuhler> 3.6.10-1.mga2
+ Revision: 206774
- upgrade to 3.6.10

* Sun Jan 22 2012 spuhler <spuhler> 3.6.8-1.mga2
+ Revision: 199439
- upgrade to 3.6.8

* Wed Jan 04 2012 spuhler <spuhler> 3.6.7-1.mga2
+ Revision: 190243
- upgrade to 3.6.7

* Thu Dec 29 2011 spuhler <spuhler> 3.6.5-1.mga2
+ Revision: 188603
- upgrade to 3.6.5

* Sun Dec 04 2011 spuhler <spuhler> 3.6.4-2.mga2
+ Revision: 175750
- added Obsoletes: php-pear-PHPUnit2 as listed by upstream

* Sun Nov 27 2011 spuhler <spuhler> 3.6.4-1.mga2
+ Revision: 173137
- upgrade to 3.6.4

* Tue Nov 15 2011 spuhler <spuhler> 3.6.3-2.mga2
+ Revision: 167905
- changed suggests into requires since they are needed

* Mon Nov 14 2011 spuhler <spuhler> 3.6.3-1.mga2
+ Revision: 167495
- upgrade to 3.6.3

* Mon Jul 11 2011 spuhler <spuhler> 3.5.14-1.mga2
+ Revision: 121998
- upgrade to 3.5.14 from 3.3.17
  added +BuildRequires:	php-pear >= 1.9.4
  Suggests:	PHPUnit_MockObject
  Suggests:	PHPUnit_Selenium
  Suggests:	PHP_Timer
  Suggests:	PHP_CodeCoverag
  Suggests:	Text_Template
  Suggests:	File_Iterator
  Suggests:	DbUnit

* Wed Jan 26 2011 spuhler <spuhler> 3.3.17-3.mga1
+ Revision: 39884
- removed buildroot definition from .spec
  remived the if mdkversion lines
- imported package php-pear-PHPUnit

